EAPI="4"

inherit eutils flag-o-matic multilib

if [[ ${PV} == "9999" ]] ; then
	inherit subversion autotools
	ESVN_REPO_URI="http://rolisteam.googlecode.com/svn/branches/1.0.0/rolisteam/"
	ESVN_PROJECT="rolisteam"
	SRC_URI=""
	KEYWORDS="-* ~amd64 ~x86"
else
	inherit autotools
	FILENAME="${PN}-${PV}.tar.gz"
	SRC_URI="http://rolisteam.googlecode.com/files/${FILENAME}"
	S=${WORKDIR}/${P}
	KEYWORDS="-* amd64 x86"
fi

DESCRIPTION="Rolisteam helps you to manage a role playing game with remote friends/players. It provides many features to share maps, pictures and it also includes tool to communicate with you friends/players."
HOMEPAGE="http://www.rolisteam.org/"
LICENSE="GPL-3"
SLOT="0"
IUSE=""

RDEPEND="
	>=x11-libs/qt-gui-4.5.3
	>=x11-libs/qt-core-4.6.1
	>=media-libs/phonon-4.5.0
	"

DEPEND="${RDEPEND}"

src_unpack() {
	if [[ ${PV} == "9999" ]] ; then
		subversion_src_unpack
	else
		unpack ${FILENAME}
		mv "${WORKDIR}/rolisteam" "${S}"
	fi
}

src_prepare() {
	pushd "${S}" >/dev/null

	echo "INCLUDEPATH += '/usr/include/phonon/'" >> rolisteam.pro

	popd > /dev/null
}

src_configure() {
	pushd "${S}" >/dev/null

	qmake || die "qmake failed"

	popd > /dev/null
}

src_compile() {
	pushd "${S}" >/dev/null

	make || die "make failed"

	popd > /dev/null
}

src_install() {
	make install
	mkdir -p ${D}/usr/bin/
	cp ${S}/bin/rolisteam ${D}/usr/bin/
}
